diff --git a/src/gnome-utils/Makefile.am b/src/gnome-utils/Makefile.am
index 3a9f056..ddda66b 100644
--- a/src/gnome-utils/Makefile.am
+++ b/src/gnome-utils/Makefile.am
@@ -61,7 +61,6 @@ libgncmod_gnome_utils_la_SOURCES = \
   gnc-general-select.c \
   gnc-gnome-utils.c \
   gnc-gui-query.c \
-  gnc-html-graph-gog.c \
   gnc-html-history.c \
   gnc-html.c \
   gnc-icons.c \
@@ -131,7 +130,6 @@ gncinclude_HEADERS = \
   gnc-general-select.h \
   gnc-gnome-utils.h \
   gnc-gui-query.h \
-  gnc-html-graph-gog.h \
   gnc-html-history.h \
   gnc-html.h \
   gnc-icons.h \
diff --git a/src/gnome-utils/Makefile.in b/src/gnome-utils/Makefile.in
index b7e5cd1..802b03b 100644
--- a/src/gnome-utils/Makefile.in
+++ b/src/gnome-utils/Makefile.in
@@ -97,7 +97,7 @@ am__libgncmod_gnome_utils_la_SOURCES_DIST = QuickFill.c \
 	gnc-druid-provider-multifile-gnome.c gnc-embedded-window.c \
 	gnc-file.c gnc-frequency.c gnc-recurrence.c \
 	gnc-general-select.c gnc-gnome-utils.c gnc-gui-query.c \
-	gnc-html-graph-gog.c gnc-html-history.c gnc-html.c gnc-icons.c \
+	gnc-html-history.c gnc-html.c gnc-icons.c \
 	gnc-main-window.c gnc-menu-extensions.c \
 	gnc-plugin-file-history.c gnc-plugin-manager.c \
 	gnc-plugin-menu-additions.c gnc-plugin-page.c gnc-plugin.c \
@@ -128,7 +128,7 @@ am_libgncmod_gnome_utils_la_OBJECTS = QuickFill.lo \
 	gnc-druid-provider-multifile-gnome.lo gnc-embedded-window.lo \
 	gnc-file.lo gnc-frequency.lo gnc-recurrence.lo \
 	gnc-general-select.lo gnc-gnome-utils.lo gnc-gui-query.lo \
-	gnc-html-graph-gog.lo gnc-html-history.lo gnc-html.lo \
+	gnc-html-history.lo gnc-html.lo \
 	gnc-icons.lo gnc-main-window.lo gnc-menu-extensions.lo \
 	gnc-plugin-file-history.lo gnc-plugin-manager.lo \
 	gnc-plugin-menu-additions.lo gnc-plugin-page.lo gnc-plugin.lo \
@@ -455,7 +455,7 @@ libgncmod_gnome_utils_la_SOURCES = QuickFill.c account-quickfill.c \
 	gnc-druid-provider-multifile-gnome.c gnc-embedded-window.c \
 	gnc-file.c gnc-frequency.c gnc-recurrence.c \
 	gnc-general-select.c gnc-gnome-utils.c gnc-gui-query.c \
-	gnc-html-graph-gog.c gnc-html-history.c gnc-html.c gnc-icons.c \
+	gnc-html-history.c gnc-html.c gnc-icons.c \
 	gnc-main-window.c gnc-menu-extensions.c \
 	gnc-plugin-file-history.c gnc-plugin-manager.c \
 	gnc-plugin-menu-additions.c gnc-plugin-page.c gnc-plugin.c \
@@ -505,7 +505,6 @@ gncinclude_HEADERS = \
   gnc-general-select.h \
   gnc-gnome-utils.h \
   gnc-gui-query.h \
-  gnc-html-graph-gog.h \
   gnc-html-history.h \
   gnc-html.h \
   gnc-icons.h \
@@ -684,7 +683,6 @@ distclean-compile:
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gnc-general-select.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gnc-gnome-utils.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gnc-gui-query.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gnc-html-graph-gog.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gnc-html-history.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gnc-html.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gnc-icons.Plo@am__quote@
diff --git a/src/gnome-utils/gnc-gnome-utils.c b/src/gnome-utils/gnc-gnome-utils.c
index 0672175..b11a501 100644
--- a/src/gnome-utils/gnc-gnome-utils.c
+++ b/src/gnome-utils/gnc-gnome-utils.c
@@ -32,8 +32,6 @@
 #endif
 #include <libxml/xmlIO.h>
 
-#include "gnc-html-graph-gog.h"
-
 #include "druid-gconf-setup.h"
 #include "gnc-gconf-utils.h"
 #include "gnc-gnome-utils.h"
diff --git a/src/gnome-utils/gnc-html.c b/src/gnome-utils/gnc-html.c
index 26e9183..d1f904a 100644
--- a/src/gnome-utils/gnc-html.c
+++ b/src/gnome-utils/gnc-html.c
@@ -49,7 +49,6 @@
 #include "gnc-gui-query.h"
 #include "gnc-html.h"
 #include "gnc-html-history.h"
-#include "gnc-html-graph-gog.h"
 #include "gnc-ui.h"
 #include "gnc-ui-util.h"
 
@@ -389,8 +388,6 @@ gnc_html_initialize (void)
   for (i = 0; types[i].type; i++)
     gnc_html_register_urltype (types[i].type, types[i].protocol);
 
-  // initialize graphing support
-  gnc_html_graph_gog_init();
 }
 
 
diff -urNad gnucash-2.2.9~/src/gnome-utils/gnc-html-graph-gog.c gnucash-2.2.9/src/gnome-utils/gnc-html-graph-gog.c
--- gnucash-2.2.9~/src/gnome-utils/gnc-html-graph-gog.c	2008-01-08 02:06:26.000000000 +0100
+++ gnucash-2.2.9/src/gnome-utils/gnc-html-graph-gog.c	2010-02-13 00:25:40.973428634 +0100
@@ -48,6 +48,9 @@
 #endif
 #include <goffice/graph/gog-style.h>
 #include <goffice/graph/gog-styled-object.h>
+#ifndef GO_COLOR_FROM_GDK 
+#       define GO_COLOR_FROM_GDK GDK_TO_UINT 
+#endif
 #include <goffice/graph/gog-plot.h>
 #include <goffice/graph/gog-series.h>
 #include <goffice/utils/go-color.h>
@@ -363,8 +366,13 @@
   }
   gog_object_add_by_name(chart, "Legend", NULL);
 
+#ifdef GO_COLOR_BLACK
+  GOG_STYLED_OBJECT(graph)->style->line.width = 5;
+  GOG_STYLED_OBJECT(graph)->style->line.color = GO_COLOR_BLACK;
+#else
   GOG_STYLED_OBJECT(graph)->style->outline.width = 5;
   GOG_STYLED_OBJECT(graph)->style->outline.color = RGBA_BLACK;
+#endif
 
   series = gog_plot_new_series(plot);
   labelData = go_data_vector_str_new((char const * const *)labels, datasize, NULL);
@@ -493,7 +501,7 @@
       style->fill.type = GOG_FILL_STYLE_PATTERN;
       if (gdk_color_parse (col_colors[i], &color)) {
            style->fill.auto_back = FALSE;
-           go_pattern_set_solid (&style->fill.pattern, GDK_TO_UINT (color));
+           go_pattern_set_solid (&style->fill.pattern, GO_COLOR_FROM_GDK(color));
       } else {
            g_warning("cannot parse color [%s]", col_colors[i]);
       }
@@ -588,9 +596,9 @@
     GdkColor color;
     if (gdk_color_parse(color_str, &color)) {
       style->marker.auto_outline_color = FALSE;
-      go_marker_set_outline_color(style->marker.mark, GDK_TO_UINT(color));
+      go_marker_set_outline_color(style->marker.mark, GO_COLOR_FROM_GDK(color));
       style->line.auto_color = FALSE;
-      style->line.color = GDK_TO_UINT(color);
+      style->line.color = GO_COLOR_FROM_GDK(color);
     } else {
       g_warning("cannot parse color [%s]", color_str);
     }
